AuMakeNoopAction(3)

Name
AuMakeNoopAction - initialize an action

Synopsis
#include <audio/audiolib.h>

AuMakeNoopAction(action, trigger_state, trigger_prev_state, trigger_reason)
    AuElementAction action; /* RETURN */
    unsigned char trigger_state;
    unsigned char trigger_prev_state;
    unsigned char trigger_reason;

Arguments

action
    Returns the initialized action.

trigger_state
    Specifies the state that triggers the action. This must be one of thses constants: AuStateStop, AuStateStart, AuStatePause, or AuStateAny.

trigger_prev_state
    Specifies the previous state for the trigger. This must be one of thses constants: AuStateStop, AuStateStart, AuStatePause, or AuStateAny.

trigger_reason
    Specifies the reason for the action. This must be one of these constants: AuReasonUser, AuReasonUnderrun, AuReasonOverrun, AuReasonEOF, AuReasonWatermark, AuReasonHardware, or AuReasonAny.

Description
AuMakeNoopAction sets the action field of action to AuElementActionNoop and initializes the other fields with the remaining arguments.

AuMakeNoopAction is implemented as a macro.

See Also
AuMakeChangeStateAction, AuMakeSendNotifyAction.

audiolib - Network Audio System C Language Interface